Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 20585

Description

One of my GIS Technicians was having an issues with a PostGIS layer, where any time an edit was attempted QGIS 2.8.1 would

experience a crash dump.  We then attempted to edit the same PostGIS layer using QGIS 2.6.0 and it was able to continue editing the

layer's features.

After some investigation into the table itself I found the culprit.  The layer we were trying to edit contained LINESTRING and

MULTILINESTRING geometries.  I decided to run a query to identify the number of vertices per object using the ST_NumPoints function.

 At the bottom of the list I noticed a row was returned with a NULL value.  After selecting the items WHERE ST_NumPoints(the_geom) IS

NULL I found that there was one item.  Running ST_AsText(the_geom) for this feature returned MULTILINESTRING EMPTY.  After I

deleted this record, I was able to edit the layer once again using QGIS 2.8.1.

I just wanted to let your team know, because this situation seemed to be handled in the previous version 2.6.0 we tested in our office. 

This is a minor issue which I was able to overcome by cleaning the problem record out of the PostGIS database, but I just wanted to give

your team the heads up.

History

#1 - 2015-03-20 12:30 AM - Jürgen Fischer

- Subject changed from PostGIS Layer Editing Causing Crash Dump on 2.8.1 to empty multilinestring causes crash

#2 - 2015-03-22 03:19 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Target version changed from Version 2.8.1 to Version 2.10

- Priority changed from Low to Severe/Regression

#3 - 2015-03-22 07:09 AM - Jürgen Fischer

- Target version changed from Version 2.10 to Future Release - High Priority

#4 - 2015-03-22 08:22 AM - Jürgen Fischer

- Status changed from Open to Feedback

not reproducable here.

#5 - 2015-05-10 01:20 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
closing for the lack of feedback, please reopen if necessary.
